import java.io.*;

public class Stringvergleich
{
	public static void main(String[]args)throws Exception
	{
		java.awt.Point p1=new java.awt.Point(12,34);
		java.awt.Point p2=new java.awt.Point(12,34);
		System.out.println("p1==p2: "+(p1==p2));
		System.out.println("p1.equals(p2): "+(p1.equals(p2)));
		
		String s1="abc";
		String s2="sadfsf";
		s2="abc";
		System.out.println("s1==s2: "+(s1==s2));
		System.out.println("s1.equals(s2): "+(s1.equals(s2)));
		
		BufferedReader in = new BufferedReader(
			new InputStreamReader(System.in));
		System.out.println("gib mal was ein: ");
		String s3=in.readLine();
		System.out.println("Eingabe: "+s3);
		System.out.println("s1==s3: "+(s1==s3));
		System.out.println("s1.equals(s3): "+(s1.equals(s3)));
//		int i=12345;
//		String s1="abcd";
//		s1=s1+"efg";
//		System.out.println("s1: "+s1);
//		char[]vieleZeichen={'x','y','z'};
//		String s2=new String(vieleZeichen);
//		System.out.println("s2: "+s2);
	}
}